Subject: [secdir] SECDIR review of draft-ietf-extra-imap-objectid-04

From: Chris Lonvick <[email-masked]>
Date: Sat, 21 Jul 2018 16:25:30 -0500

Hi Bron,

Thanks for the update. All looks good now.

I have re-reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the IESG. 
These comments were written primarily for the benefit of the security 
area directors. Document editors and WG chairs should treat these 
comments just like any other last call comments.

The summary of the review is READY.

Thanks,
Chris

-------- Forwarded Message --------
Subject: 	new version of objectid draft uploaded
Date: 	Wed, 18 Jul 2018 06:09:58 +1000
From: 	Bron Gondwana <[email-masked]>
To: 	[email-masked]
CC: 	Pete Resnick <[email-masked]>, Chris Lonvick 
<[email-masked]>, Alexey Melnikov <[email-masked]>

Hi All,

I've just uploaded draft-ietf-extra-imap-objectid-04, based on multiple 
reviews. Thanks to:

Alexey (AD)
Pete (GenArt)
Chris (SecDir)

Here's the set of changes:

* described NIL THREADID in more detail (ad review)
* made RFC5256 a normative reference (ad review)
* fixed ABNF missing quote (ad review)
* documented hash upgrade process (ad review)
* referenced RFC3501 for INBOX rename (ad review)
* referenced RFC3501 security considerations (secdir review)
* turned mealy-mouthed "SHOULDs" in to "MUSTs" on immutability (genart 
review)
* remove suggested algorithms which are no longer legitimate (genart review)
* updated proxy advice to suggest rewriting ids (genart review)
* fixed minor gramatical issues (genart review)
* required that EMAILID and THREADID are not identical (own decision)

====

Of particular interest is that EMAILID and THREADID now MUST be 
different (just prefix them if they may otherwise clash!) and a whole 
lot of SHOULD turned into MUST.  Everyone who's going to implement this 
already has stable storage for their IDs, and it means clients can 
really rely on these IDs.

I would appreciate any further reviews!

Thanks,

Bron.

--
   Bron Gondwana, CEO, FastMail Pty Ltd
   [email-masked]